# StellarGraph demos

<!-- DOCS LINKS -->
<!-- autogenerated by scripts/demo_indexing.py, edit that file instead of this location -->

These demos are displayed with detailed descriptions in the documentation: https://stellargraph.readthedocs.io/en/stable/demos/




<!-- DOCS LINKS -->

<!-- DEMO TABLE MARKER -->
<!-- autogenerated by scripts/demo_indexing.py, edit that file instead of this location -->
<table>
  <tr>
    <th>Algorithm</th>
    <th><span title='Heterogeneous'>Heter.</span></th>
    <th><span title='Directed'>Dir.</span></th>
    <th><span title='Edge weights'>EW</span></th>
    <th><span title='Time-varying, temporal'>T</span></th>
    <th><span title='Node features'>NF</span></th>
    <th><span title='Node classification'><a href='node-classification/README.md'>NC</a></span></th>
    <th><span title='Link prediction'><a href='link-prediction/README.md'>LP</a></span></th>
    <th><span title='Unsupervised'><a href='embeddings/README.md'>Unsup.</a></span></th>
    <th><span title='Inductive'>Ind.</span></th>
    <th><span title='Graph classification'><a href='graph-classification/README.md'>GC</a></span></th>
  </tr>
  <tr>
    <td><span title='Graph Convolutional Network (GCN)'>GCN</span></td>
    <td>see RGCN</td>
    <td></td>
    <td>yes</td>
    <td>see T-GCN</td>
    <td>yes</td>
    <td><a href='node-classification/gcn-node-classification.ipynb'>demo</a></td>
    <td><a href='link-prediction/gcn-link-prediction.ipynb'>demo</a></td>
    <td>
      <span title='UnsupervisedSampler'>US</span>
      <span title='DeepGraphInfomax'><a href='embeddings/deep-graph-infomax-embeddings.ipynb'>DGI</a></span>
    </td>
    <td>via Cluster-GCN</td>
    <td><a href='graph-classification/gcn-supervised-graph-classification.ipynb'>demo</a></td>
  </tr>
  <tr>
    <td>Cluster-GCN</td>
    <td></td>
    <td></td>
    <td>yes</td>
    <td></td>
    <td>yes</td>
    <td><a href='node-classification/cluster-gcn-node-classification.ipynb'>demo</a></td>
    <td>yes</td>
    <td><span title='DeepGraphInfomax'><a href='embeddings/deep-graph-infomax-embeddings.ipynb'>DGI</a></span></td>
    <td>yes</td>
    <td></td>
  </tr>
  <tr>
    <td><span title='Relational GCN (RGCN)'>RGCN</span></td>
    <td><span title='multiple edges types'>yes, edges</span></td>
    <td></td>
    <td>yes</td>
    <td></td>
    <td>yes</td>
    <td><a href='node-classification/rgcn-node-classification.ipynb'>demo</a></td>
    <td>yes</td>
    <td><span title='DeepGraphInfomax'><a href='embeddings/deep-graph-infomax-embeddings.ipynb'>DGI</a></span></td>
    <td></td>
    <td></td>
  </tr>
  <tr>
    <td><span title='Temporal GCN (T-GCN), implemented as GCN-LSTM'>T-GCN</span></td>
    <td></td>
    <td></td>
    <td></td>
    <td>node features</td>
    <td>time series, sequence</td>
    <td><a href='time-series/gcn-lstm-time-series.ipynb'>demo</a></td>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
  </tr>
  <tr>
    <td><span title='Graph ATtention Network (GAT)'>GAT</span></td>
    <td></td>
    <td></td>
    <td>yes</td>
    <td></td>
    <td>yes</td>
    <td><a href='node-classification/gat-node-classification.ipynb'>demo</a></td>
    <td>yes</td>
    <td>
      <span title='UnsupervisedSampler'>US</span>
      <span title='DeepGraphInfomax'><a href='embeddings/deep-graph-infomax-embeddings.ipynb'>DGI</a></span>
    </td>
    <td>via Cluster-GCN</td>
    <td></td>
  </tr>
  <tr>
    <td><span title='Simplified Graph Convolution (SGC)'>SGC</span></td>
    <td></td>
    <td></td>
    <td>yes</td>
    <td></td>
    <td>yes</td>
    <td><a href='node-classification/sgc-node-classification.ipynb'>demo</a></td>
    <td>yes</td>
    <td></td>
    <td></td>
    <td></td>
  </tr>
  <tr>
    <td><span title='Personalized Propagation of Neural Predictions (PPNP)'>PPNP</span></td>
    <td></td>
    <td></td>
    <td>yes</td>
    <td></td>
    <td>yes</td>
    <td><a href='node-classification/ppnp-node-classification.ipynb'>demo</a></td>
    <td>yes</td>
    <td>
      <span title='UnsupervisedSampler'>US</span>
      <span title='DeepGraphInfomax'>DGI</span>
    </td>
    <td></td>
    <td></td>
  </tr>
  <tr>
    <td><span title='Approximate PPNP (APPNP)'>APPNP</span></td>
    <td></td>
    <td></td>
    <td>yes</td>
    <td></td>
    <td>yes</td>
    <td><a href='node-classification/ppnp-node-classification.ipynb'>demo</a></td>
    <td>yes</td>
    <td>
      <span title='UnsupervisedSampler'>US</span>
      <span title='DeepGraphInfomax'><a href='embeddings/deep-graph-infomax-embeddings.ipynb'>DGI</a></span>
    </td>
    <td>via Cluster-GCN</td>
    <td></td>
  </tr>
  <tr>
    <td>GraphWave</td>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
    <td><span title='via embedding vectors'>via unsup.</span></td>
    <td><span title='via embedding vectors'>via unsup.</span></td>
    <td><a href='embeddings/graphwave-embeddings.ipynb'>demo</a></td>
    <td></td>
    <td></td>
  </tr>
  <tr>
    <td>Attri2Vec</td>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
    <td>yes</td>
    <td><a href='node-classification/attri2vec-node-classification.ipynb'>demo</a></td>
    <td><a href='link-prediction/attri2vec-link-prediction.ipynb'>demo</a></td>
    <td><a href='embeddings/attri2vec-embeddings.ipynb'>demo</a></td>
    <td>yes</td>
    <td></td>
  </tr>
  <tr>
    <td>GraphSAGE</td>
    <td>see HinSAGE</td>
    <td><a href='node-classification/directed-graphsage-node-classification.ipynb'>demo</a></td>
    <td>yes</td>
    <td></td>
    <td>yes</td>
    <td><a href='node-classification/graphsage-node-classification.ipynb'>demo</a></td>
    <td><a href='link-prediction/graphsage-link-prediction.ipynb'>demo</a></td>
    <td>
      <span title='UnsupervisedSampler'><a href='embeddings/graphsage-unsupervised-sampler-embeddings.ipynb'>US</a></span>
      <span title='DeepGraphInfomax'><a href='embeddings/deep-graph-infomax-embeddings.ipynb'>DGI</a></span>
    </td>
    <td><a href='node-classification/graphsage-inductive-node-classification.ipynb'>demo</a></td>
    <td></td>
  </tr>
  <tr>
    <td>HinSAGE</td>
    <td>yes</td>
    <td></td>
    <td></td>
    <td></td>
    <td>yes</td>
    <td>yes</td>
    <td><a href='link-prediction/hinsage-link-prediction.ipynb'>demo</a></td>
    <td><span title='DeepGraphInfomax'><a href='embeddings/deep-graph-infomax-embeddings.ipynb'>DGI</a></span></td>
    <td>yes</td>
    <td></td>
  </tr>
  <tr>
    <td>Node2Vec</td>
    <td></td>
    <td></td>
    <td><a href='node-classification/node2vec-weighted-node-classification.ipynb'>demo</a></td>
    <td></td>
    <td></td>
    <td>
      <span title='via embedding vectors'>via</span>
      <span title='keras layer'><a href='node-classification/keras-node2vec-node-classification.ipynb'>keras</a></span>
      <a href='node-classification/node2vec-node-classification.ipynb'>gensim</a>
    </td>
    <td><span title='via embedding vectors'><a href='link-prediction/node2vec-link-prediction.ipynb'>via unsup.</a></span></td>
    <td>
      <span title='keras layer'><a href='embeddings/keras-node2vec-embeddings.ipynb'>keras</a></span>
      <a href='embeddings/node2vec-embeddings.ipynb'>gensim</a>
    </td>
    <td></td>
    <td></td>
  </tr>
  <tr>
    <td>Metapath2Vec</td>
    <td>yes</td>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
    <td><span title='via embedding vectors'>via unsup.</span></td>
    <td><span title='via embedding vectors'><a href='link-prediction/metapath2vec-link-prediction.ipynb'>via unsup.</a></span></td>
    <td><a href='embeddings/metapath2vec-embeddings.ipynb'>demo</a></td>
    <td></td>
    <td></td>
  </tr>
  <tr>
    <td><span title='Continuous-Time Dynamic Network Embeddings'>CTDNE</span></td>
    <td></td>
    <td></td>
    <td></td>
    <td>yes</td>
    <td></td>
    <td><span title='via embedding vectors'>via unsup.</span></td>
    <td><span title='via embedding vectors'><a href='link-prediction/ctdne-link-prediction.ipynb'>via unsup.</a></span></td>
    <td>yes</td>
    <td></td>
    <td></td>
  </tr>
  <tr>
    <td>Watch Your Step</td>
    <td></td>
    <td></td>
    <td>yes</td>
    <td></td>
    <td></td>
    <td><span title='via embedding vectors'><a href='embeddings/watch-your-step-embeddings.ipynb'>via unsup.</a></span></td>
    <td><span title='via embedding vectors'>via unsup.</span></td>
    <td><a href='embeddings/watch-your-step-embeddings.ipynb'>demo</a></td>
    <td></td>
    <td></td>
  </tr>
  <tr>
    <td>ComplEx</td>
    <td><span title='multiple edges types'>yes, edges</span></td>
    <td>yes</td>
    <td></td>
    <td></td>
    <td></td>
    <td><span title='via embedding vectors'>via unsup.</span></td>
    <td><a href='link-prediction/complex-link-prediction.ipynb'>demo</a></td>
    <td>yes</td>
    <td></td>
    <td></td>
  </tr>
  <tr>
    <td>DistMult</td>
    <td><span title='multiple edges types'>yes, edges</span></td>
    <td>yes</td>
    <td></td>
    <td></td>
    <td></td>
    <td><span title='via embedding vectors'>via unsup.</span></td>
    <td><a href='link-prediction/distmult-link-prediction.ipynb'>demo</a></td>
    <td>yes</td>
    <td></td>
    <td></td>
  </tr>
  <tr>
    <td><span title='Deep Graph CNN'>DGCNN</span></td>
    <td></td>
    <td></td>
    <td>yes</td>
    <td></td>
    <td>yes</td>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
    <td><a href='graph-classification/dgcnn-graph-classification.ipynb'>demo</a></td>
  </tr>
</table>
<!-- DEMO TABLE MARKER -->

See [the root README](../README.md) or each algorithm's documentation for the relevant citation(s).
